Browse the commercial sound library
curl --request GET \
--url https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/library \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/library"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/library', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/library",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-rapidapi-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/library"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-rapidapi-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/library")
.header("x-rapidapi-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/library")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-rapidapi-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2025-03-12T14:32:01.498Z",
"cached": false,
"version": "2025-01"
},
"data": [
{
"sound_id": "7016547803243022337",
"title": "Relationship",
"author": "Young Thug",
"duration_seconds": 60,
"is_original": false,
"is_copyrighted": true,
"posts_count": 8700000,
"cover_url": "https://p16-sign.tiktokcdn-us.com/...",
"play_url": "https://sf19-ies-music-va.tiktokcdn.com/..."
}
],
"pagination": {
"page": 1,
"has_more": true,
"total": 519208
},
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found.",
"details": null
}
}{
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2025-03-12T14:32:01.498Z",
"cached": false,
"version": "2025-01"
},
"data": null,
"pagination": null,
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found.",
"details": null
}
}{
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2025-03-12T14:32:01.498Z",
"cached": false,
"version": "2025-01"
},
"data": null,
"pagination": null,
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found.",
"details": null
}
}Sounds
Browse the commercial sound library
Returns a paginated list of commercially-licensed sounds from TikTok’s sound library. Sounds can be sorted by hottest (default) or newest. Pagination uses page numbers rather than cursors.
GET
/
api
/
v1
/
sounds
/
library
Browse the commercial sound library
curl --request GET \
--url https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/library \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/library"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/library', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/library",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-rapidapi-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/library"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-rapidapi-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/library")
.header("x-rapidapi-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/library")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-rapidapi-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2025-03-12T14:32:01.498Z",
"cached": false,
"version": "2025-01"
},
"data": [
{
"sound_id": "7016547803243022337",
"title": "Relationship",
"author": "Young Thug",
"duration_seconds": 60,
"is_original": false,
"is_copyrighted": true,
"posts_count": 8700000,
"cover_url": "https://p16-sign.tiktokcdn-us.com/...",
"play_url": "https://sf19-ies-music-va.tiktokcdn.com/..."
}
],
"pagination": {
"page": 1,
"has_more": true,
"total": 519208
},
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found.",
"details": null
}
}{
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2025-03-12T14:32:01.498Z",
"cached": false,
"version": "2025-01"
},
"data": null,
"pagination": null,
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found.",
"details": null
}
}{
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2025-03-12T14:32:01.498Z",
"cached": false,
"version": "2025-01"
},
"data": null,
"pagination": null,
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found.",
"details": null
}
}Returns a paginated list of commercially-licensed sounds from TikTok’s sound library. Sounds can be sorted by hottest (default) or newest. Pagination uses page numbers rather than cursors.
Authorizations
Your RapidAPI subscription key. Injected automatically by the RapidAPI gateway in production.
Query Parameters
Page number (1-based)
Required range:
x >= 1Number of sounds per page (1–10)
Required range:
1 <= x <= 10Sort order: hot (most popular, default) or new (most recently added)
Available options:
hot, new Response
Success
Response metadata present in every API response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Page-number pagination info (used by sounds/library)
Show child attributes
Show child attributes
Error details. Present only when the request failed; null on success.
Show child attributes
Show child attributes